com.sun.mail.util

## Class LineInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - com.sun.mail.util.LineInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class LineInputStream
      extends FilterInputStream

  This class is to support reading CRLF terminated lines that contain only US-ASCII characters from an input stream. Provides functionality that is similar to the deprecated `DataInputStream.readLine()`. Expected use is to read lines as String objects from a RFC822 stream. It is implemented as a FilterInputStream, so one can just wrap this class around any input stream and read bytes from this filter.
  Author:
    John Mani

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineInputStream(InputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `readLine()` Read a line containing only ASCII characters from the input stream.

    - ### Methods inherited from class java.io.FilterInputStream

      `available, close, mark, markSupported, read, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineInputStream

          public LineInputStream(InputStream in)

  - ### Method Detail

    - #### readLine

          public String readLine()
                          throws IOException

      Read a line containing only ASCII characters from the input stream. A line is terminated by a CR or NL or CR-NL sequence. A common error is a CR-CR-NL sequence, which will also terminate a line. The line terminator is not returned as part of the returned String. Returns null if no data is available.

      This class is similar to the deprecated `DataInputStream.readLine()`

      Returns:
        the line
      Throws:
        `IOException` - for I/O errors

Copyright © 2016 Oracle. All rights reserved.